﻿package ui
{
	import flash.events.*;
	import flash.display.*;

	public class Screen_size
	{
		private var screen:MovieClip;
		private var size1:MovieClip;
		private var size2:MovieClip;
		private var size3:MovieClip;
		private var _stage:Stage;

		public function Screen_size(_stage:Stage,screen:MovieClip,size1:MovieClip,size2:MovieClip,size3:MovieClip)
		{
			this.screen = screen;
			this.size1 = size1;
			this.size2 = size2;
			this.size3 = size3;
			this._stage = _stage;
			size1.buttonMode = true;
			size2.buttonMode = true;
			size3.buttonMode = true;
			size1.gotoAndStop(1);
			size2.gotoAndStop(1);
			size3.gotoAndStop(1);
			size1.addEventListener(MouseEvent.MOUSE_OVER,screen_size_over);
			size2.addEventListener(MouseEvent.MOUSE_OVER, screen_size_over);
			size3.addEventListener(MouseEvent.MOUSE_OVER,screen_size_over);
			size1.addEventListener(MouseEvent.CLICK,size1_handler);
			size2.addEventListener(MouseEvent.CLICK,size2_handler);
			size3.addEventListener(MouseEvent.CLICK,size3_handler);
		}
		private function screen_size_over(e:MouseEvent):void
		{
			if (e.target.currentFrame == 1)
			{
				e.target.gotoAndStop(2);
				e.target.removeEventListener(MouseEvent.MOUSE_OVER, arguments.callee);
				e.target.addEventListener(MouseEvent.MOUSE_OUT, screen_size_out);
			}
		}
		private function screen_size_out(e:MouseEvent):void
		{
			e.target.gotoAndStop(1);
			e.target.removeEventListener(MouseEvent.MOUSE_OUT, arguments.callee);
			e.target.addEventListener(MouseEvent.MOUSE_OVER, screen_size_over);
		}
		private function size1_handler(e:MouseEvent):void
		{
			screen.width = _stage.stageWidth * 0.5;
			screen.height = _stage.stageHeight * 0.5;
			screen.x = (_stage.stageWidth -screen.width) * .5;
			screen.y = (_stage.stageHeight - screen.height) * .5;
			screen_size_click_draw(size1);
			e.stopPropagation();
		}
		private function screen_size_click_draw(mc:MovieClip)
		{
			size2.graphics.clear();
			size3.graphics.clear();
			size1.graphics.clear();
			size1.gotoAndStop(1);
			size2.gotoAndStop(1);
			size3.gotoAndStop(1);
			mc.graphics.beginFill(0x009be3);
			mc.graphics.drawRect(0, 0, mc.width, mc.height);
			mc.graphics.endFill();
		}
		private function size2_handler(e:MouseEvent):void
		{
			screen.width = _stage.stageWidth * 0.75;
			screen.height = _stage.stageHeight * 0.75;
			screen.x = (_stage.stageWidth -screen.width) * .5;
			screen.y = (_stage.stageHeight - screen.height) * .5;
			screen_size_click_draw(size2);
			e.stopPropagation();
		}
		private function size3_handler(e:MouseEvent):void
		{
//			screen.width=_stage.stageWidth;
//			screen.height=_stage.stageHeight;
//			screen.x = (_stage.stageWidth -screen.width) * .5;
//			screen.y = (_stage.stageHeight - screen.height) * .5;
//			var proportion:Number = W / H;
//			var videoproportion:Number = loader_arr[cur_i].content.width / loader_arr[cur_i].content.height;
//			if (videoproportion >= proportion)
//			{//<= (H / W)
//				screen.width = W;
//				screen.height = W / videoproportion;
//			}
//			else
//			{
//				screen.width = H * videoproportion;
//				screen.height = H;
//			}
			screen_size_click_draw(size3);
			size3.removeEventListener(MouseEvent.MOUSE_OVER, arguments.callee);
			size3.removeEventListener(MouseEvent.MOUSE_OUT, arguments.callee);
			e.stopPropagation();
		}
	}

}